Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w8_2.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w8_2.cfg	(revision 123)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w8_2.cfg	(revision 124)
@@ -6,7 +6,7 @@
     <parameter name="size_ifetch_queue"                     value="64" />
     <parameter name="nb_inst_fetch"                         value="8" />
-    <parameter name="ras_size_queue"                        value="8" />
+    <parameter name="ras_size_queue"                        value="16" />
     <parameter name="upt_size_queue"                        value="16" />
-    <parameter name="ufpt_size_queue"                       value="4" />
+    <parameter name="ufpt_size_queue"                       value="8" />
 
     <group id="0">
@@ -30,18 +30,18 @@
     <parameter name="rename_select_load_balancing"          value="1"  />
     <parameter name="rename_select_nb_front_end_select"     value="1"  />
-    <parameter name="nb_general_register"                   value="256"/>
+    <parameter name="nb_general_register"                   value="512"/>
     <parameter name="nb_special_register"                   value="128"/>
-    <parameter name="nb_reg_free"                           value="8"  />
-    <parameter name="nb_rename_unit_bank"                   value="8"  />
+    <parameter name="nb_reg_free"                           value="16" />
+    <parameter name="nb_rename_unit_bank"                   value="16" />
   </rename_bloc>                                            
                                                             
   <read_bloc id="0,1,2,3,4,5,6,7,8,9,10">                                        
     <parameter name="size_read_queue"                       value="4" />
-    <parameter name="size_reservation_station"              value="4" />
+    <parameter name="size_reservation_station"              value="8" />
     <parameter name="nb_inst_retire_reservation_station"    value="4" />
   </read_bloc>                                              
 
   <write_bloc id="0,1,2,3,4,5,6,7,8,9,10" >
-    <parameter name="size_write_queue"                      value="4" />
+    <parameter name="size_write_queue"                      value="8" />
     <parameter name="size_execute_queue"                    value="4" />
     <parameter name="nb_bypass_write"                       value="1" />
@@ -92,34 +92,37 @@
     <parameter name="nb_inst_branch_update"                 value="1" />
     <parameter name="btb_size_queue"                        value="1024" />
-    <parameter name="btb_associativity"                     value="8" />
+    <parameter name="btb_associativity"                     value="16" />
     <parameter name="btb_size_counter"                      value="2" />
     <parameter name="btb_victim_scheme"                     value="3" />
-    <parameter name="dir_predictor_scheme"                  value="2" />
+    <parameter name="dir_predictor_scheme"                  value="4" />
                                                             
     <predictor id="0">                                      
-      <parameter name="dir_have_bht"                        value="0"  />
-      <parameter name="dir_bht_size_shifter"                value="1"  />
-      <parameter name="dir_bht_nb_shifter"                  value="64" />
+      <parameter name="dir_have_bht"                        value="1"  />
+      <parameter name="dir_bht_size_shifter"                value="10" />
+      <parameter name="dir_bht_nb_shifter"                  value="1024" />
       <parameter name="dir_have_pht"                        value="1"  />
-      <parameter name="dir_pht_size_counter"                value="2"  />
-      <parameter name="dir_pht_nb_counter"                  value="16" />
+      <parameter name="dir_pht_size_counter"                value="3"  />
+      <parameter name="dir_pht_nb_counter"                  value="4096" />
       <parameter name="dir_pht_size_address_share"          value="0"  />
     </predictor>                                            
     <predictor id="1">                                      
       <parameter name="dir_have_bht"                        value="1" />
-      <parameter name="dir_bht_size_shifter"                value="4" />
+      <parameter name="dir_bht_size_shifter"                value="12" />
       <parameter name="dir_bht_nb_shifter"                  value="1" />
       <parameter name="dir_have_pht"                        value="1" />
       <parameter name="dir_pht_size_counter"                value="2" />
-      <parameter name="dir_pht_nb_counter"                  value="64" />
+      <parameter name="dir_pht_nb_counter"                  value="4096" />
       <parameter name="dir_pht_size_address_share"          value="0" />
     </predictor>                                            
     <predictor id="2">                                      
-      <parameter name="dir_have_bht"                        value="0" />
+      <parameter name="dir_have_bht"                        value="1" />
+      <parameter name="dir_bht_size_shifter"                value="12" />
+      <parameter name="dir_bht_nb_shifter"                  value="1" />
       <parameter name="dir_have_pht"                        value="1" />
       <parameter name="dir_pht_size_counter"                value="2" />
-      <parameter name="dir_pht_nb_counter"                  value="128" />
+      <parameter name="dir_pht_nb_counter"                  value="4096" />
       <parameter name="dir_pht_size_address_share"          value="0" />
     </predictor>                                            
+
   </front_end>
 
@@ -151,9 +154,9 @@
     <parameter name="nb_execute_unit"                       value="11" />
     <parameter name="nb_gpr_bank"                           value="1" />
-    <parameter name="nb_gpr_port_read_by_bank"              value="16" />
-    <parameter name="nb_gpr_port_write_by_bank"             value="8" />
+    <parameter name="nb_gpr_port_read_by_bank"              value="22" />
+    <parameter name="nb_gpr_port_write_by_bank"             value="11" />
     <parameter name="nb_spr_bank"                           value="1" />
-    <parameter name="nb_spr_port_read_by_bank"              value="8" />
-    <parameter name="nb_spr_port_write_by_bank"             value="8" />
+    <parameter name="nb_spr_port_read_by_bank"              value="10" />
+    <parameter name="nb_spr_port_write_by_bank"             value="10" />
     <parameter name="execution_unit_to_write_unit_priority" value="1" />
     <parameter name="read_unit_to_execution_unit_priority"  value="1" />
